commit: e999422f292c65314a7bda660ce7f79b66844a39
Author: Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 21 08:22:48 2015 +0000
Commit: Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Fri Aug 21 08:25:04 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e999422f
net-misc/plowshare: version bump, minor fixes
net-misc/plowshare/Manifest | 1 +
net-misc/plowshare/metadata.xml | 1 -
net-misc/plowshare/plowshare-2.1.2.ebuild | 66 +++++++++++++++++++++++++++++++
3 files changed, 67 insertions(+), 1 deletion(-)
diff --git a/net-misc/plowshare/Manifest b/net-misc/plowshare/Manifest
index 7e088dd..ab74080 100644
--- a/net-misc/plowshare/Manifest
+++ b/net-misc/plowshare/Manifest
@@ -1,2 +1,3 @@
DIST plowshare-1.2.0.tar.gz 253572 SHA256
0f1ff5d2986334209389857d6c6f3f63162d661b28687747ae1a8612f3e5d678 SHA512
5fd8eeef5a4d6a42d03a858b451fa2ac121e0dbdcdb2f2981cef6660b0972e44396e3b8b3d9eb5b36ca8ce0aacda7df8f193ba4e5464c1f96a4c8ff2c104ff9a
WHIRLPOOL
0009dc91d9a0fc15083c781fa6a73f46f966af673d20cf8897bb786f2337a36a75a0dae55dd2109f88d4e1a57578824763b1f79ae7949d497e9a9136ad2d2632
DIST plowshare-2.1.1.tar.gz 90653 SHA256
96b3acd1dba1b14f3009334520969af4c00c8f4b7f5d924a26decc4b4a817e53 SHA512
4aae7c64ce8123301b241d31a0f25ffe414295d5d8b354423530f47cbe3dd91a4bbe57a686a6c56015dab37c6b463334b4f9165b570a2c0314c25ee94bc255fc
WHIRLPOOL
cde48f76136901c4c009611556beda92aa3b4e5ed9fc5d94487ed69d5f11745995dca7ba7bbd2dabe516161efe9e705a7bfbdd21423d96f506aae4079b847a34
+DIST plowshare-2.1.2.tar.gz 90913 SHA256
d9b9f2aa464d7d2966f49704234c79139d1162705a0a553a3059c68fbf4be21a SHA512
ffe18bd1aa1e0523eee218c8f80ce906648a9a0457e0cb64f682d9f52d05fdec2f1ff236e74b323a9b051aaf87d597ef10c08d9fa539a169db780d3955f05885
WHIRLPOOL
a752043fc9d37510d6c5ba24547b0c66d9316a9526d4abc580443757b069c8a1d9808815dde0ecbfafcfbabcbeb1a7ad3ef6bd73d62870da7e494bad8851c453
diff --git a/net-misc/plowshare/metadata.xml b/net-misc/plowshare/metadata.xml
index 17fd8a3..c4459b9c 100644
--- a/net-misc/plowshare/metadata.xml
+++ b/net-misc/plowshare/metadata.xml
@@ -6,7 +6,6 @@
<name>Bernard Cafarelli</name>
</maintainer>
<use>
- <flag name="modules">Install a system-wide set of modules</flag>
<flag name="view-captcha">View captcha with aview</flag>
</use>
<upstream>
diff --git a/net-misc/plowshare/plowshare-2.1.2.ebuild
b/net-misc/plowshare/plowshare-2.1.2.ebuild
new file mode 100644
index 0000000..beacec4
--- /dev/null
+++ b/net-misc/plowshare/plowshare-2.1.2.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit bash-completion-r1
+
+DESCRIPTION="Command-line downloader and uploader for file-sharing websites"
+HOMEPAGE="https://github.com/mcrapet/plowshare"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE="bash-completion +javascript view-captcha"
+
+SRC_URI="https://github.com/mcrapet/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+RDEPEND="
+ >=app-shells/bash-4
+ || ( app-text/recode ( dev-lang/perl dev-perl/HTML-Parser ) )
+ dev-vcs/git
+ || ( media-gfx/imagemagick[tiff]
media-gfx/graphicsmagick[imagemagick,tiff] )
+ net-misc/curl
+ sys-apps/util-linux
+ javascript? ( || ( dev-lang/spidermonkey:0 dev-java/rhino ) )
+ view-captcha? ( || ( media-gfx/aview media-libs/libcaca ) )"
+DEPEND=""
+
+# NOTES:
+# javascript dep should be any javascript interpreter using /usr/bin/js
+
+src_prepare() {
+ # Fix doc install path
+ sed -i -e "/^DOCDIR/s|plowshare|${PF}|" Makefile || die "sed failed"
+
+ if ! use bash-completion
+ then
+ sed -i -e \ "/^install:/s/install_bash_completion//" \
+ Makefile || die "sed failed"
+ fi
+}
+
+src_compile() {
+ # There is a Makefile but it's not compiling anything, let's not try.
+ :
+}
+
+src_test() {
+ # Disable tests because all of them need a working Internet connection.
+ :
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX="/usr" \
+ PLOWSHARE_FORCE_VERSION="${PV}" install
+}
+
+pkg_postinst() {
+ elog "plowshare is not delivered with modules by default anymore"
+ elog "Per-user modules can be installed/updated with the plowmod
command"
+ if ! use javascript; then
+ ewarn "Without javascript you will not be able to use modules"
+ ewarn "requering a Javascript shell (/usr/bin/js)"
+ fi
+}